''' GogsMaker settings '''

# Debug mode. **ALWAYS** leave to False in production, this allows remote code
# execution
DEBUG = False

# List of the repositories to work on
HOOKS = [
    {
        # Name of the repository. This is purely local, and determines the name
        # of the directory in which the compilation will happen.
        'name': 'foo',

        # URL of the repository, as reported by Gogs in its payload.
        'url': 'https://git.tobast.fr/tobast/flask-gogs-maker',

        # Make targets to be invoked
        'targets': ['all'],

        # Shared secret with Gogs
        'secret': 'shooW8IRei5pah7lahMe',
    },
    {
        'name': 'test-repo',
        'url': 'tests/simple-repo',
        'targets': ['date', 'touch'],
        'secret': 'mi5aesh8eiS6sileiGha',
    },
]

# Directory in which the repositories are cloned
CLONE_ROOT = 'repos'
